Skip to main content

List Snapshots

GET/api/snapshot

List snapshots.

Request​

Query Parameters

  • digeststring | null
  • metadataobject

    metadata[...] query parameters for filtering snapshots

    Example: {}

    • Additional propertiesstring

Responses​

Successful Response

application/json

Schema

  • object
    • dataarray of objectrequired
      • Itemsobject
        • createdintegerrequired

          Unix timestamp of when the snapshot was created

        • digeststring | null

          User provided digest of the snapshot content. Useful for caching if the snapshot takes a long time to create.

        • idstringrequired

          Unique identifier for the snapshot, like snapshot_xxxx

        • metadataobject

          User provided metadata for the snapshot

          • Additional propertiesstring
        • objectstring

          Object type, always 'snapshot'

          Value: "snapshot"

          Default: "snapshot"

        • refsobjectrequired
          • image_idstringrequired
        • specobjectrequired
          • disk_sizeintegerrequired

            Size of the snapshot in megabytes

          • memoryintegerrequired

            Memory of the snaphshot in megabytes

          • vcpusintegerrequired

            VCPU Count of the snaphshot

        • statusstringrequired

          Status of the snapshot

          Allowed values: "pending", "ready", "failed", "deleting", "deleted"

        • ttlobjectrequired

          Time to live settings for the snapshot. If not set, the snapshot will not expire.

          • ttl_expire_atinteger | null

            Unix timestamp of when the snapshot will expire

          • ttl_secondsinteger | nullrequired

            Time to live in seconds for the snapshot

    • objectstring

      Value: "list"

      Default: "list"